CVE-2002-2215
CVSS5.0
发布时间 :2002-12-31 00:00:00
修订时间 :2008-09-05 16:32:38
NMCO    

[原文]The imap_header function in the IMAP functionality for PHP before 4.3.0 allows remote attackers to cause a denial of service via an e-mail message with a large number of "To" addresses, which triggers an error in the rfc822_write_address function.


[CNNVD]PHP imap_header服务拒绝漏洞(CNNVD-200212-318)

        PHP 4.3.0之前版本IMAP的功能中imap_header函数存在漏洞。远程攻击者借助带有大量"To"地址的电子邮件导致服务拒绝,该漏洞引发rfc822_write_address函数的错误。
        

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:php:php:3.0.17PHP PHP 3.0.17
cpe:/a:php:php:3.0.13PHP PHP 3.0.13
cpe:/a:php:php:3.0.16PHP PHP 3.0.16
cpe:/a:php:php:4.0.1:patch1
cpe:/a:php:php:4.0:beta4PHP PHP 4.0 Beta 4
cpe:/a:php:php:3.0.2PHP PHP 3.0.2
cpe:/a:php:php:4.0.1PHP PHP 4.0.1
cpe:/a:php:php:4.0.3:patch1
cpe:/a:php:php:3.0.5PHP PHP 3.0.5
cpe:/a:php:php:4.0.4:patch1
cpe:/a:php:php:3.0.7PHP PHP 3.0.7
cpe:/a:php:php:4.0.7:rc2
cpe:/a:php:php:3.0.1PHP PHP 3.0.1
cpe:/a:php:php:4.2.0PHP PHP 4.2.0
cpe:/a:php:php:4.2.2PHP PHP 4.2.2
cpe:/a:php:php:3.0.14PHP PHP 3.0.14
cpe:/a:php:php:4.0.7:rc3
cpe:/a:php:php:4.2.1PHP PHP 4.2.1
cpe:/a:php:php:4.0.2PHP PHP 4.0.2
cpe:/a:php:php:4.0.6PHP PHP 4.0.6
cpe:/a:php:php:4.1.2PHP PHP 4.1.2
cpe:/a:php:php:4.0:beta_4_patch1PHP PHP 4.0 Beta 4 Patch Level 1
cpe:/a:php:php:4.0
cpe:/a:php:php:4.1.1PHP PHP 4.1.1
cpe:/a:php:php:3.0.11PHP PHP 3.0.11
cpe:/a:php:php:4.0:rc1
cpe:/a:php:php:4.0.5PHP PHP 4.0.5
cpe:/a:php:php:3.0.6PHP PHP 3.0.6
cpe:/a:php:php:4.0.7PHP PHP 4.0.7
cpe:/a:php:php:4.0:beta1PHP PHP 4.0 Beta 1
cpe:/a:php:php:3.0.10PHP PHP 3.0.10
cpe:/a:php:php:4.2::dev
cpe:/a:php:php:3.0.12PHP PHP 3.0.12
cpe:/a:php:php:4.0:rc2
cpe:/a:php:php:4.0.1:patch2
cpe:/a:php:php:4.0.4PHP PHP 4.0.4
cpe:/a:php:php:4.0.7:rc1
cpe:/a:php:php:3.0.15PHP PHP 3.0.15
cpe:/a:php:php:3.0.8PHP PHP 3.0.8
cpe:/a:php:php:3.0.18PHP PHP 3.0.18
cpe:/a:php:php:4.1.0PHP PHP 4.1.0
cpe:/a:php:php:3.0.3PHP PHP 3.0.3
cpe:/a:php:php:3.0PHP PHP 3.0
cpe:/a:php:php:3.0.9PHP PHP 3.0.9
cpe:/a:php:php:3.0.4PHP PHP 3.0.4
cpe:/a:php:php:4.0.3PHP PHP 4.0.3
cpe:/a:php:php:4.0:beta3PHP PHP 4.0 Beta 3
cpe:/a:php:php:4.2.3PHP PHP 4.2.3
cpe:/a:php:php:4.0:beta2PHP PHP 4.0 Beta 2

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-2215
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-2215
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200212-318
(官方数据源) CNNVD

- 其它链接及资源

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=175040
(PATCH)  CONFIRM  https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=175040
http://bugs.php.net/bug.php?id=19280
(PATCH)  CONFIRM  http://bugs.php.net/bug.php?id=19280

- 漏洞信息

PHP imap_header服务拒绝漏洞
中危 未知
2002-12-31 00:00:00 2006-06-15 00:00:00
远程  
        PHP 4.3.0之前版本IMAP的功能中imap_header函数存在漏洞。远程攻击者借助带有大量"To"地址的电子邮件导致服务拒绝,该漏洞引发rfc822_write_address函数的错误。
        

- 公告与补丁

        

- 漏洞信息

30925
PHP imap_header Function To Field Saturation DoS
Denial of Service
Loss of Availability
Vendor Verified

- 漏洞描述

Unknown or Incomplete

- 时间线

2002-09-07 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站